/***********************************************************************/
/*                                                                     */
/* RIGI C Parser --- Copyright (C) 1996-1999                           */
/*                    The Rigi Group, University of Victoria           */
/*                                                                     */
/* see the file license.terms for usage and copying policies           */
/*                                                                     */
/* Maintainer: Johannes Martin (jmartin@csr.csc.uvic.ca)               */
/*                                                                     */
/***********************************************************************/
#ifndef __PARMLIST_H__
#define __PARMLIST_H__

#include "List.h"
#include "cinit.h"

class ParameterList {
  static List<List<ParseInfo>*> parameters;
public:
  static void start();
  static void close();

  static void add(const ParseInfo& parameter);
  static bool more();
  static ParseInfo get();
};

#endif
