/***********************************************************************/
/*                                                                     */
/* RIGI C Parser --- Copyright (C) 1996-1999                           */
/*                    The Rigi Group, University of Victoria           */
/*                                                                     */
/* see the file license.terms for usage and copying policies           */
/*                                                                     */
/* Maintainer: Johannes Martin (jmartin@csr.csc.uvic.ca)               */
/*                                                                     */
/***********************************************************************/
#ifndef __SYMTBL_H__
#define __SYMTBL_H__

// External definitions for the symbol table

void print_symtbl();
int enterscope();
int exitscope();

int addsym(ParseInfo& p, bool inTopScope);
const ParseInfo* findsym(const char *key);

void addfield( const char*s, const char*f, const char*t );
const char* fieldtype(const ParseInfo& s, const char*f );
bool hasBuiltinType( const ParseInfo& s );

#endif
