/***********************************************************************/
/*                                                                     */
/* RIGI Utilities --- Copyright (C) 1996-1999                          */
/*                    The Rigi Group, University of Victoria           */
/*                                                                     */
/* see the file license.terms for usage and copying policies           */
/*                                                                     */
/* Author: Johannes Martin (jmartin@csr.csc.uvic.ca)                   */
/*                                                                     */
/***********************************************************************/
#define DEBUG
#ifdef DEBUG
#define BEGINTRY try {
#define ENDTRY } catch (CS_Error& e) { dumpError(&e); } catch (...) { dumpError(0); }
void dumpError(CS_Error* e) {
  if (!e)
    cerr << "caught unknown exception" << endl;
  else
    cerr << "caught exception:" << endl << e->message() << endl;
}
#else
#define BEGINTRY
#define ENDTRY
#endif

